classification
Title: fix failing unit tests in mmap in struni branch
Type: Stage:
Components: Tests Versions: Python 3.0
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: gvanrossum Nosy List: gvanrossum, jcgregorio
Priority: normal Keywords: patch

Created on 2007-07-12 13:45 by jcgregorio, last changed 2008-01-06 22:29 by admin. This issue is now closed.

Files
File name Uploaded Description Edit
mmap_struni.patch jcgregorio, 2007-07-12 13:45 Patch for mmap and its unit tests
Messages (2)
msg52863 - (view) Author: Joe Gregorio (jcgregorio) * Date: 2007-07-12 13:45
Fixes to make test_mmap.py pass unit tests in the py3k-struni branch. 

Moves the interface from being string based to being bytes based. 

This patch also includes changes to io.py and associated unit tests that allow flush() to be called on closed files.
msg52864 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-07-16 20:53
I've checked in the fix to mmap.  I'm rejecting the fixes to io.
History
Date User Action Args
2008-01-06 22:29:45adminsetkeywords: - py3k
versions: + Python 3.0
2007-07-12 13:45:45jcgregoriocreate